net.sourceforge.pmd.lang.java.dfa

## Class VariableAccessVisitor

- java.lang.Object
- - net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter
  - - net.sourceforge.pmd.lang.java.dfa.VariableAccessVisitor

- All Implemented Interfaces:
    JavaParserVisitor

      public class VariableAccessVisitor
      extends JavaParserVisitorAdapter

  Author:
    raik, Sven Jacob

    Searches for special nodes and computes based on the sequence, the type of access of a variable.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableAccessVisitor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compute(ASTConstructorDeclaration node)`
    `void` | `compute(ASTMethodDeclaration node)`

    - ### Methods inherited from class net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableAccessVisitor

          public VariableAccessVisitor()

  - ### Method Detail

    - #### compute

          public void compute(ASTMethodDeclaration node)

    - #### compute

          public void compute(ASTConstructorDeclaration node)

Copyright © 2002-2013 InfoEther. All Rights Reserved.